import 'package:flutter_mime/src/db.dart';
import 'package:flutter_mime/src/mime/mime.dart';

class FlutterMime {
  static String? getExtensionFromType(String type) {
    if (!database.containsKey(type)) {
      return null;
    }

    Mime mime = Mime.fromJson(database[type] as Map<String, Object?>);

    if (mime.extensions != null && mime.extensions!.isNotEmpty) {
      return mime.extensions?.first;
    }

    return null;
  }

  static String? getTypeFromExtension(String extension) {
    for (final entry in database.entries) {
      final mime = Mime.fromJson(entry.value as Map<String, Object?>);

      if (mime.extensions != null && mime.extensions!.contains(extension)) {
        return entry.key;
      }
    }

    return null;
  }

  static Mime? getMime(String type) {
    if (!database.containsKey(type)) {
      return null;
    }

    return Mime.fromJson(database[type] as Map<String, Object?>);
  }
}
